# Pure python package
%define debug_package %{nil}
%define minversion	f
%define	oname openstereonet
Name:		openstereo
Version:	0.1.4
Release:	%mkrel 6
Summary:	Software for structural geology analysis
Group:		Sciences/Geosciences
License:	GPLv3+
Url:		http://www.igc.usp.br/index.php?id=391
# https://github.com/xquiet/%{oname}/archive/%{version}.tar.gz
Source0:	%{oname}-%{version}.tar.gz
Source1:	%{name}_icon.png

Patch0:         openstereonet-0.1.4-publisher.patch
Patch1:         openstereonet-0.1.4-wx30-deprecated.patch

BuildArch:	noarch

BuildRequires:	python
BuildRequires:	python-matplotlib-wx
BuildRequires:	wxPython
BuildRequires:	python-numpy
BuildRequires:	desktop-file-utils

Requires:	python-matplotlib-wx
Requires:	wxPython
Requires:	python-numpy

Conflicts:	%{name} < %{version}-%{release}

%description
OpenStereo is an open source, cross-platform software 
for structural geology analysis.

The software is written in Python, a high-level, 
cross-platform programming language and the GUI is 
designed with wxPython, which provide a consistent look 
regardless the OS.
Numeric operations (like matrix and linear algebra) are 
performed with the Numpy module and all graphic capabilities 
are provided by the Matplolib library, including on-screen 
plotting and graphic exporting to common desktop formats 
(emf, eps, ps, pdf, png, svg). 

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1 -b .publisher
%patch1 -p1 -b .wx30

%install
mkdir -p %{buildroot}%py_puresitedir/%{name}
rm -f setup.pyc
mv * %{buildroot}%{py_puresitedir}/%{name}/
chmod 644 %{buildroot}%{py_puresitedir}/%{name}/*.py

mkdir -p %{buildroot}%{_bindir}
cat >> %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
python %{py_puresitedir}/%{name}/OpenStereoNet.py
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m755 %{buildroot}%{_iconsdir}
install -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png

cat >> %{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=%{name}
GenericName=Stereo Net
GenericName[ru]=Стереосетка
Comment=Application to build stereonet
Comment[ru]=Программа для построения стереосеток
Icon=%{name}
Exec=%{name}
Categories=Education;Science;Geology;Geoscience;
EOF

desktop-file-install --dir=%{buildroot}/%{_datadir}/applications %{name}.desktop

%files
%{_bindir}/%{name}
%{py_puresitedir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.*


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.1.4-6.mga6
+ Revision: 952145
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 matteo <matteo> 0.1.4-5.mga5
+ Revision: 811212
- fixed wx.lib.pubsub import (bug mga#14536)

  + alexl <alexl>
    - translated desktop file into Russian

* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-4.mga5
+ Revision: 745784
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.4-3.mga5
+ Revision: 683248
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Jan 20 2014 matteo <matteo> 0.1.4-1.mga4
+ Revision: 567264
- * new minor release
- drop matplotlib.nxutils dependency (fix bug mga#12368)

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-6.mga4
+ Revision: 508781
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-5.mga3
+ Revision: 362168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 matteo <matteo> 0.1.2-4.mga3
+ Revision: 262255
- fixed desktop file categories

* Wed Jun 20 2012 matteo <matteo> 0.1.2-3.mga3
+ Revision: 262250
- fixed group (switch from Education to Sciences/Geosciences)
- spec file reviewed

* Sat May 19 2012 matteo <matteo> 0.1.2-1.mga3
+ Revision: 235907
- missing url added
- imported package openstereo

